Name:           aterm
Version:        1.0.1
Release:        %mkrel 5
Summary:        A terminal emulator with pleasant visual effects
License:        GPLv2
Group:          Terminals
URL:            http://aterm.sourceforge.net/
Source0:        ftp://ftp.afterstep.org/apps/aterm/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
BuildRequires:  glibc-devel
BuildRequires:  libx11-devel
BuildRequires:  libxt-devel
BuildRequires:  libxext-devel
BuildRequires:  libxinerama-devel
BuildRequires:  libice-devel
BuildRequires:  libsm-devel
BuildRequires:  librsvg-devel
BuildRequires:  libglib2-devel
BuildRequires:  libgdk_pixbuf2.0-devel
BuildRequires:  libcairo-devel
BuildRequires:  libtiff-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  afterstep-devel
BuildRequires:  freetype-devel
BuildRequires:  afterstep
BuildRequires:  findutils
BuildRequires:  sed
BuildRequires:  perl

%description
Aterm is designed to provide pleasing visual effects, while performing
such a mundane function as terminal emulation under X. It is largely
based on RXVT code. Several points set it apart from other similar
applications such as fast pseudo-transparency, optional off-focus
fading of text or when aterm looses focus its contents is
dimmed. Aterm do things like semitransparent gradient background,
supports JPEG, PNG and other images format as background, and more.

%prep
%setup -q

%build
%configure2_5x  --enable-fading           \
                --enable-background-image \
                --enable-graphics         \
                --enable-half-shadow
%make

%install
%makeinstall_std
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc INSTALL ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-5.mga4
+ Revision: 502926
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.1-4.mga3
+ Revision: 346523
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 eatdirt <eatdirt> 1.0.1-3.mga3
+ Revision: 285392
- Remove unnecessary Conflicts with ncurses-extraterms

* Sat Mar 17 2012 fwang <fwang> 1.0.1-2.mga2
+ Revision: 223753
- fix br according to new afterstep name

* Tue Oct 11 2011 eatdirt <eatdirt> 1.0.1-1.mga2
+ Revision: 153832
- imported package aterm


* Mon Oct 10 2011 Chris Ringeval <dirteat@gmail.com> 1.0.1-1.mga2
- import aterm, spec rewritten from scratch

* Wed Feb 02 2011 Funda Wang <fwang@mandriva.org> 1.0.1-8mdv2011.0
+ Revision: 635067
- BR xt
- rebuild
- tighten BR

* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-7mdv2011.0
+ Revision: 616628
- the mass rebuild of 2010.0 packages

* Fri May 15 2009 JÃ©rÃ´me Brenier <incubusss@mandriva.org> 1.0.1-6mdv2010.0
+ Revision: 376275
- Fix license (GPLv2+) and URL
- Use configure2_5x
- Comestic changes for specfile policy

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.0.1-5mdv2009.0
+ Revision: 218439
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.0.1-5mdv2008.1
+ Revision: 140690
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Thu Aug 02 2007 Funda Wang <fwang@mandriva.org> 1.0.1-5mdv2008.0
+ Revision: 58135
- Kill patch, merged upstream
- New version 1.0.1


* Tue Jan 30 2007 Olivier Blin <oblin@mandriva.com> 1.0-5mdv2007.0
+ Revision: 115297
- really remove xvt alternative
- cosmetics
- remove debian-style menu entry
- fix XDG menu comment
- fix typo in menu entry (#25265 continued)
- Import aterm

* Thu Sep 07 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-4mdv2007.0
- Fix XDG menu ( bug #25265)

* Tue Aug 01 2006 Lenny Cartier <lenny@mandriva.com> 1.0-3mdv2007.0
- xdg

* Fri Nov 04 2005 Michael Scherer <misc@mandriva.org> 1.0-2mdk
- mkrel
- fix debug output by commenting the line ( patch0, bug 18194 )

* Wed Jul 06 2005 Michael Scherer <misc@mandriva.org> 1.0-1mdk
- New release 1.00

* Sat Jun 18 2005 Olivier Blin <oblin@mandriva.com> 1.0-0.beta4.1mdk
- beta4

* Sat Jun 04 2005 Michael Scherer <misc@mandriva.org> 1.0-0.beta3.1mdk
- beta3
- remove patch0

* Sat Mar 12 2005 Michael Scherer <misc@mandrake.org> 1.0-0.beta2.2mdk
- remove alternatives

* Fri Jan 21 2005 Michael Scherer <misc@mandrake.org> 1.0-0.beta2.1mdk
- 1.0.beta2
- use macro

* Wed Jan 12 2005 Michael Scherer <misc@mandrake.org> 1.0-0.beta1.1mdk
- 1.0.beta1

* Sat May 22 2004 Michael Scherer <misc@mandrake.org> 0.4.2-5mdk 
- fix #1496, add doc

* Tue Apr 20 2004 Michael Scherer <misc@mandrake.org> 0.4.2-4mdk 
- Rebuild

